pydo.registries.create()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.registries.create(
body={
"name": "example",
"subscription_tier_slug": "basic",
"region": "fra1",
},
)Description
To create your container registry, send a POST request to /v2/registries.
The name becomes part of the URL for images stored in the registry. For
example, if your registry is called example, an image in it will have the
URL registry.digitalocean.com/example/image:tag.
Parameters
namestring requiredExample:
exampleA globally unique name for the container registry. Must be lowercase and be composed only of numbers, letters and
-, up to a limit of 63 characters.subscription_tier_slugstring optionalThe slug of the subscription tier to sign up for. Valid values can be retrieved using the options endpoint.
regionstring optionalSlug of the region where registry data is stored. When not provided, a region will be selected.
Request Sample
Response Example
More Information
See /v2/registries in the API reference for additional detail on responses, headers, parameters, and more.